summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-03-31 19:29:40 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-03-31 19:29:40 +0000
commitdebaa2f2ae9412369543f9976a7e63ca690a1e93 (patch)
tree6446bb46d49b008de9716707dfb280e650f50883 /dev-python
parent9c850b06c2399f14ef4abab97b236cae9bf20399 (diff)
downloadbaldeagleos-repo-debaa2f2ae9412369543f9976a7e63ca690a1e93.tar.gz
baldeagleos-repo-debaa2f2ae9412369543f9976a7e63ca690a1e93.tar.xz
baldeagleos-repo-debaa2f2ae9412369543f9976a7e63ca690a1e93.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/blessed/Manifest1
-rw-r--r--dev-python/blessed/blessed-1.38.0.ebuild55
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.42.79.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.42.79.ebuild67
-rw-r--r--dev-python/channels/Manifest6
-rw-r--r--dev-python/channels/channels-3.0.5.ebuild41
-rw-r--r--dev-python/channels/channels-4.2.2.ebuild34
-rw-r--r--dev-python/channels/channels-4.3.2.ebuild62
-rw-r--r--dev-python/channels/files/channels-4.3.2-fix-install.patch14
-rw-r--r--dev-python/channels/metadata.xml11
-rw-r--r--dev-python/discid/Manifest2
-rw-r--r--dev-python/discid/discid-1.4.0.ebuild37
-rw-r--r--dev-python/django-guardian/Manifest2
-rw-r--r--dev-python/django-guardian/django-guardian-3.3.1.ebuild (renamed from dev-python/django-guardian/django-guardian-3.2.0.ebuild)2
-rw-r--r--dev-python/faker/Manifest1
-rw-r--r--dev-python/faker/faker-40.12.0.ebuild41
-rw-r--r--dev-python/google-api-core/Manifest1
-rw-r--r--dev-python/google-api-core/google-api-core-2.30.1.ebuild54
-rw-r--r--dev-python/google-auth-httplib2/Manifest2
-rw-r--r--dev-python/google-auth-httplib2/google-auth-httplib2-0.3.1.ebuild (renamed from dev-python/google-auth-httplib2/google-auth-httplib2-0.2.1.ebuild)12
-rw-r--r--dev-python/google-auth-oauthlib/Manifest2
-rw-r--r--dev-python/google-auth-oauthlib/google-auth-oauthlib-1.3.1.ebuild (renamed from dev-python/google-auth-oauthlib/google-auth-oauthlib-1.2.4.ebuild)1
-rw-r--r--dev-python/grpcio-status/Manifest1
-rw-r--r--dev-python/grpcio-status/grpcio-status-1.80.0.ebuild46
-rw-r--r--dev-python/grpcio/Manifest2
-rw-r--r--dev-python/grpcio/grpcio-1.80.0.ebuild (renamed from dev-python/grpcio/grpcio-1.78.0.ebuild)0
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/pyproject-fmt/Manifest3
-rw-r--r--dev-python/pyproject-fmt/pyproject-fmt-2.21.0.ebuild102
-rw-r--r--dev-python/requests/Manifest2
-rw-r--r--dev-python/requests/requests-2.33.1.ebuild75
-rw-r--r--dev-python/urwid/Manifest2
-rw-r--r--dev-python/urwid/urwid-4.0.0.ebuild41
38 files changed, 689 insertions, 117 deletions
diff --git a/dev-python/blessed/Manifest b/dev-python/blessed/Manifest
index ab47def7f209..fa841816825f 100644
--- a/dev-python/blessed/Manifest
+++ b/dev-python/blessed/Manifest
@@ -6,3 +6,4 @@ DIST blessed-1.33.0.tar.gz 13980368 BLAKE2B efef2256778a7a09a245a92fbd8bef42f6f0
DIST blessed-1.34.0.tar.gz 13987443 BLAKE2B 68c1c0eb6fc14761a99ffffbcab4dfe4801ba49191dfb9ead267926181aed13c5d5c01f1289d3246bf1f26d89e34aac1afddef810eeb2aef35ecec16084971a1 SHA512 818e6254e2754ab128df5daf666f75a88da071df0ee5521c4b6299e1c1a4c6e68147c1fce44e7bfca8d86085785642b71650353f907a5a1760ea70ffa17d1fbb
DIST blessed-1.35.0.tar.gz 13992595 BLAKE2B 61cd8961456713b80ba765c687205c3176316550e01690b9867f9a711a1774dc09195b18b48319cf8cf6578c9345c877e46644adcaff7d012fb2c87e3e0c480c SHA512 dc4561b46bf595a02082c2a4863f4d7a1aaa55d67d8108ec2438d058b0d6af5d7a6d134239fd2b9f80ab25847b3da63a225118156a38d0b646fe7e55b30b4239
DIST blessed-1.37.0.tar.gz 13995057 BLAKE2B 32e3eba1360074d4ec2624e937c74df39ca76279f02428e0f7a996513e647b7271c975d0820ca35f8aac015ce8a16652842569f86f4de760b3b7923fe4b6485e SHA512 3c80153a043e489ae2f0c21c8fff8806db35fbc0cb163dc62159558eef062b78402a39263b0bbdcc01bb16c8b5d9105483ce70a29030e3e22f168b13d177f316
+DIST blessed-1.38.0.tar.gz 14008103 BLAKE2B 57229521e74ac0353ee50911f783d1e43c0ca1803333085da35f0ede7dc9b9dab9156f62ebfc8ce0fd6d5643ffede77d3e2f5ea5ed218bb911ba49c702e36b35 SHA512 d3db9087dea83d04683f4f1caa6927bc6fbd3ecfe0ad8cb1f60bb831ee3799c9b7cad2768cf759e41c4ecc34f2c6e37ca40edaf8ddd167cc0d6e6ba4d1a46636
diff --git a/dev-python/blessed/blessed-1.38.0.ebuild b/dev-python/blessed/blessed-1.38.0.ebuild
new file mode 100644
index 000000000000..306a03ac3d9f
--- /dev/null
+++ b/dev-python/blessed/blessed-1.38.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Library for making terminal apps using colors, keyboard input and positioning"
+HOMEPAGE="
+ https://github.com/jquast/blessed/
+ https://pypi.org/project/blessed/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/wcwidth-0.6[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs dev-python/sphinx-rtd-theme
+
+EPYTEST_PLUGINS=()
+# tests are flaky with xdist
+distutils_enable_tests pytest
+
+# README.rst is a symlink to docs/
+DOCS=()
+
+python_prepare_all() {
+ # Skip those extensions as they don't have a Gentoo package
+ # Remove calls to scripts that generate rst files because they
+ # are not present in the tarball
+ sed -e '/sphinxcontrib.manpage/d' -e '/sphinx_paramlinks/d' \
+ -e '/^for script in/,/runpy.run_path/d' \
+ -i docs/conf.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # fragile to timing
+ tests/test_sixel.py::test_sixel_height_and_width_fallback_to_xtwinops
+ )
+
+ # COLORTERM must not be truecolor
+ # See https://github.com/jquast/blessed/issues/162
+ local -x COLORTERM=
+ # Ignore coverage options
+ epytest --override-ini="addopts="
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 47af904e2c25..a7960856dbc7 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -8,3 +8,4 @@ DIST boto3-1.42.63.gh.tar.gz 1095562 BLAKE2B 26ffcecca0099e4ad72f3dca7be7dcf946d
DIST boto3-1.42.68.gh.tar.gz 1099362 BLAKE2B ad682ed811e726d2c57aa33730766bba09e1ba68149ae967189170a51d78cbe1f37c5b360a251cf3fc35972c8b59612f1083844fb12c5e2b767b503dfdc17473 SHA512 5bec985fe697bf2fdd565b29111bdf133aa833fa71520c178b721592aeb698696d833257342abaa05d575602a1a533da0ce4bbe186e0969d6f218bb81fd84ecc
DIST boto3-1.42.73.gh.tar.gz 1101832 BLAKE2B 2f187945feb18a6d8a4576f0f5766235095c08746ddc71e20784f9f4ae6984241e4dd0a13e968f08e8c8183bd0b6c61561957e181968a9c034d33a5a3b3eb382 SHA512 86ee0184ba27866d689c07b9eef5ba80a08608d831ea5d7656734b73abf6c609631ef3fb4ae5e86b996df31ee979ad531e0300f5733414d20f4e585dc69e55b7
DIST boto3-1.42.78.gh.tar.gz 1104761 BLAKE2B 989dc99fbe05c2e5fa28bda83897a411dbf929e1e5df3c78e0a52bbb5df61a5331aeceb48c6ba8e3ae7a6d8e0587d4a1f6094be7936bf107d75c15d0291d7701 SHA512 4a28b614b39591cca6f4e7f0c00612dffd701f39d6128d81b95e4022f5da833434897b6428dda50bb4280a715eaca289f863785f599e8149a7115ecc12cd9d36
+DIST boto3-1.42.79.gh.tar.gz 1106670 BLAKE2B 8d923b7100c7f7ca13fa901bd44eeb0f92708eb9037b9de24dc50ec86d1fa07b216a74cf2cd171a1665e09031b77c6041329ec91d79ebb248747a47835ac3c86 SHA512 9efca961e98bc8a2ec48f75add7986a72f6127f0f04d38975ee5714d4df5655a5e63aefff25233c363cfc9509155d06ed7d9f85aecbf08ff82178dc41bdb896f
diff --git a/dev-python/boto3/boto3-1.42.79.ebuild b/dev-python/boto3/boto3-1.42.79.ebuild
new file mode 100644
index 000000000000..6e5f06a012ad
--- /dev/null
+++ b/dev-python/boto3/boto3-1.42.79.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.16.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 352bea934424..c06ba8c5025e 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -8,3 +8,4 @@ DIST botocore-1.42.63.gh.tar.gz 15861570 BLAKE2B 92bc6efde4e08c3c5f4ce1d910e2e2d
DIST botocore-1.42.68.gh.tar.gz 15892102 BLAKE2B aabd9e28196516919779fbfedfd1b05bb515096dc810a0449dfa3c8668d975ed88eadbdd06dac1054b2b4ba403a960f10753531fed68e50031c13f00e03e0a7f SHA512 263ae479e54e63a7b15fa1611c8551de9e08df3c0d10dacf4a306c08a064dcb68a24185d767ce061781cf83b6ccc7e9d1743258d2fddb74421299a4d4f96a999
DIST botocore-1.42.73.gh.tar.gz 15909831 BLAKE2B a7032e431644adda779bcdc5241af66ac3b72ddcc235f5f446d621012935f660a50e918780a6cce7a8d9841711dbcd03160353400daa382c5760c93144e156bb SHA512 01193ed6bb21eaae6839994ef101f5f3d88c94b65a1c31fcf197f77efc3ce494f4911976270bd4b7879ebdab233598909df3562ddc5b9f892a62afe3b03942b2
DIST botocore-1.42.78.gh.tar.gz 15931724 BLAKE2B d0732ac14bb37ce0fd326b2edcdf06665306c7c06c3004f78aa5405ea8c2335eb1267e31c9cfe803ca6e551617c14177ea3319bcb2e1eafe4acd35e7f5e5b610 SHA512 18ad9458ee5ede54ab43eebc2d235371c84fc5fe8cb21a067a54612a4cfd14fedca54ae45f40516ec5a91aa4049837f94fa3fced2ea0f4deb8089f78a13f59a2
+DIST botocore-1.42.79.gh.tar.gz 15971759 BLAKE2B 8955138791758156fcb2466a9349fe6484acf1154ef94cdfa1a219d2f45074ea412d361cea1679be36105e258b7a9bc30c3a9ae2d8120670cf95b82c9e053cb9 SHA512 8c06fdb9eacdcb41206004ed9c4c5eafb4e7bc7f0863e3a20917c5e57b0564ed5d997bef4ca6c1aa549a1b251260b77d6ab835a31750176944024bd9ba731718
diff --git a/dev-python/botocore/botocore-1.42.79.ebuild b/dev-python/botocore/botocore-1.42.79.ebuild
new file mode 100644
index 000000000000..f6ce0d9ed8d5
--- /dev/null
+++ b/dev-python/botocore/botocore-1.42.79.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/channels/Manifest b/dev-python/channels/Manifest
index 93bbf2713782..b58c0c2009cc 100644
--- a/dev-python/channels/Manifest
+++ b/dev-python/channels/Manifest
@@ -1 +1,5 @@
-DIST channels-4.3.2.gh.tar.gz 206077 BLAKE2B c0913d67dc74bc728dd828584cf803b4ad175bab717de71ccf1e1c5b6aaca296fd15d011deb07b2876e63b7daaefab5e5ee24c323e907b3c563f5358759f14b8 SHA512 29d9c91aca721fad44143978863c45812bf596bb65cf99084803f78d85c664d5cc7ca1015df151cdc27754b822c9cfd18102989b6e5f59bc50257f6c9d8b8b3e
+DIST channels-3.0.5.gh.tar.gz 200118 BLAKE2B 7a7653f986face1e87369917317db013e5c9fc912c6e2d7c737054ffef167bd01feb48f7e2d00d0d331e7a16093478e5416645717aed59e46dfec8f9b3641a2e SHA512 b12d1aec9602b702b5a097e9ca52dccad49940f82fcbe5594890c9bd1f1879a2fcf0f29630ca53e4972a26853df8f71d07d7b2cccd876abbf2417a76dee281bf
+DIST channels-4.2.2.gh.tar.gz 197010 BLAKE2B 321bf62c68038ce511145acd43c036dd298d58056f20ab2d676c3e3a8d6360a86a4f07c8f9ed6c123f888c012d69da22cfae4fb477dd5422cf326bf2de6a4c8f SHA512 8f7c8f27981988fed8ec254db91ce0a130b24842949ef94cc9ae21b4a259a7003654ec86c4e18aa81924e26d9b81b6a2aafaac404e490cbdda6b4a100476917a
+EBUILD channels-3.0.5.ebuild 936 BLAKE2B 788d0e9a2822dd9d0ed2d1d1a62135aeb5f244710b66f7591962518a5204cde5b8e779280783dd1d1a1b1a3fa9b272a0eb457f1d88d62c8ecefc8f67384929ef SHA512 89003fa68c7ab1cdd1a329f4389ba6fe28f491217a70c03b2979a992b450d8aa1a02f024f073ad5fc0aa1d093d81c6c8b1adaa45bdc9a179f5bd1607d85c13ef
+EBUILD channels-4.2.2.ebuild 829 BLAKE2B e5946c4a0eaf9fb3ffa2092a3d5d49d3d6ee16f151483fa2b716c8bab3350eca5e330a22822f881421d8882ffb970f4c56154c613477d094319e46addf1a5537 SHA512 84ce30d87a654c1a89ac299fb0f6447ca9c736e4b63497d83fc2687384e9cbe8094ba8f5021a19f726f9bae97c6b6d11eddef6a9ee5c275efe827bf95d3848ec
+MISC metadata.xml 445 BLAKE2B b4c0a41d6caadfbc53cbba3c41f8b7689a286b3f8d285c37a88a1f79d8dc350b82fea255048c022b92091a1e0cc67bf19645d6c32183b82a6dd49cccadf5078f SHA512 380c8b98efe8d9a2513c51899b7de90b115d4a51f104f46b552ff8929c322850e511e245a2ba0e976213416ae7241a17292ca98248caacfc891fcdcf5cea5d44
diff --git a/dev-python/channels/channels-3.0.5.ebuild b/dev-python/channels/channels-3.0.5.ebuild
new file mode 100644
index 000000000000..03a4923889fe
--- /dev/null
+++ b/dev-python/channels/channels-3.0.5.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Extends Django abilities beyond HTTP protocol"
+HOMEPAGE="https://github.com/django/channels"
+SRC_URI="https://github.com/django/${PN}/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+ >=dev-python/django-2.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/async-timeout[${PYTHON_USEDEP}]
+ >=dev-python/daphne-3.0[${PYTHON_USEDEP}]
+ <dev-python/daphne-4.0[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( README.rst )
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # https://github.com/django/channels/issues/1915
+ echo 'asyncio_mode = auto' >> setup.cfg
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/channels/channels-4.2.2.ebuild b/dev-python/channels/channels-4.2.2.ebuild
new file mode 100644
index 000000000000..710613a7cbd1
--- /dev/null
+++ b/dev-python/channels/channels-4.2.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Extends Django abilities beyond HTTP protocol"
+HOMEPAGE="https://github.com/django/channels"
+SRC_URI="https://github.com/django/${PN}/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+ >=dev-python/asgiref-3.5.0[${PYTHON_USEDEP}]
+ >=dev-python/django-4.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/async-timeout[${PYTHON_USEDEP}]
+ >=dev-python/daphne-4.0.0[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ dev-python/sphinx-rtd-theme
diff --git a/dev-python/channels/channels-4.3.2.ebuild b/dev-python/channels/channels-4.3.2.ebuild
deleted file mode 100644
index ffafd1ece52b..000000000000
--- a/dev-python/channels/channels-4.3.2.ebuild
+++ /dev/null
@@ -1,62 +0,0 @@
-# Copyright 2026 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..14} )
-
-inherit distutils-r1 #pypi
-
-DESCRIPTION="Brings async, event-driven capabilities to Django"
-HOMEPAGE="
- https://channels.readthedocs.io/
- https://github.com/django/channels/
- https://pypi.org/project/channels/
-"
-# no tests in sdist
-SRC_URI="
- https://github.com/django/channels/archive/refs/tags/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="
- <dev-python/asgiref-4[${PYTHON_USEDEP}]
- >=dev-python/asgiref-3.9.0[${PYTHON_USEDEP}]
- >=dev-python/django-4.2[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/async-timeout[${PYTHON_USEDEP}]
- dev-python/selenium[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_IGNORE=(
- # avoid daphne as it requires autobahn
- tests/sample_project/tests/test_selenium.py
- tests/security/test_websocket.py
- tests/test_database.py
- tests/test_generic_http.py
- tests/test_generic_websocket.py
- tests/test_http.py
- tests/test_testing.py
-)
-
-EPYTEST_PLUGINS=( pytest-django pytest-asyncio )
-distutils_enable_tests pytest
-
-PATCHES=(
- "${FILESDIR}"/channels-4.3.2-fix-install.patch
-)
-
-python_prepare_all() {
- # avoid daphne as it requires autobahn
- sed -e '/"daphne"/d' -i tests/sample_project/config/settings.py || die
-
- distutils-r1_python_prepare_all
-}
diff --git a/dev-python/channels/files/channels-4.3.2-fix-install.patch b/dev-python/channels/files/channels-4.3.2-fix-install.patch
deleted file mode 100644
index 18eca8f75445..000000000000
--- a/dev-python/channels/files/channels-4.3.2-fix-install.patch
+++ /dev/null
@@ -1,14 +0,0 @@
-diff --git a/setup.cfg b/setup.cfg
-index 742e1f6..43d8c0d 100644
---- a/setup.cfg
-+++ b/setup.cfg
-@@ -52,7 +52,7 @@ types =
-
- [options.packages.find]
- exclude =
-- tests
-+ tests*
-
- [flake8]
- exclude = venv/*,tox/*,docs/*,testproject/*,build/*
-
diff --git a/dev-python/channels/metadata.xml b/dev-python/channels/metadata.xml
index 0dec5a678a5f..7093cae71294 100644
--- a/dev-python/channels/metadata.xml
+++ b/dev-python/channels/metadata.xml
@@ -2,10 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>negril.nx+gentoo@gmail.com</email>
- <name>Paul Zander</name>
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
</maintainer>
-
- <origin>gentoo-guru-overlay</origin>
- <stabilize-allarches/>
+ <upstream>
+ <bugs-to>https://github.com/django/channels/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/discid/Manifest b/dev-python/discid/Manifest
index d2998d460e85..eff979f9b0d8 100644
--- a/dev-python/discid/Manifest
+++ b/dev-python/discid/Manifest
@@ -1 +1,3 @@
+DIST discid-1.4.0.tar.gz 36594 BLAKE2B 3b15f6c5f1ccf275a3fe6532d464340b013e64b49042ca0da50afb1c3f34e0908f376a9d6e43c3ec7b60680c7f1df298ec066c846d4ef27498af0f1a5c51a425 SHA512 1b43e298ddd1a91bde46394a02df31b5ef64fa6cd8896e35e3df30c7ef2cf24c5123cda4e1248d85ba85f311c90d0b8295c3e4ce1e80ee6ef3f1efec99053d74
+DIST discid-1.4.0.tar.gz.provenance 9574 BLAKE2B 998f8056979fd56fa6d1c11adc46f11cea283ad2d4ae7fb7b303db3811356a1c55da8c45f6247df18e46ed3a2abad0d4ab273f35546576bcdfbb70b731aafa79 SHA512 8dd243bec966b3962e4cd2ef849bc80c189a2f4ed42a095903b1e2eda53cc0a33412ceddf221120ebad0cf1acfcf6147edd9a8fbd1b03eb09835ae75c09fab8f
DIST python-discid-1.3.0.gh.tar.gz 31864 BLAKE2B ca51b5c40babc4f13ac849e2570a104de55cfc30fbf83ebcc2693dae182ae61285d4579aa7a8417f0cabe8beba7dfa78c5bd4e3da2fdda7fae6152a5715a5350 SHA512 1556d3cb40a6397583702a41cc41e9506cee848edc4b05c0ced32dd9197464c0c68b2f6cd1770245a9737449a313f9985cbce30956d98f21691ce48b32929770
diff --git a/dev-python/discid/discid-1.4.0.ebuild b/dev-python/discid/discid-1.4.0.ebuild
new file mode 100644
index 000000000000..8aaf28ee334d
--- /dev/null
+++ b/dev-python/discid/discid-1.4.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2021-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/metabrainz/python-discid
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings for libdiscid"
+HOMEPAGE="
+ https://python-discid.readthedocs.io/en/latest/
+ https://github.com/metabrainz/python-discid/
+ https://pypi.org/project/discid/
+"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~x86"
+
+DEPEND="
+ >=media-libs/libdiscid-0.2.2
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+distutils_enable_sphinx doc \
+ dev-python/sphinx-autodoc-typehints \
+ dev-python/sphinx-rtd-theme
+
+python_test() {
+ "${EPYTHON}" -m unittest -v test_discid.TestModule{Private,} ||
+ die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/django-guardian/Manifest b/dev-python/django-guardian/Manifest
index ac1ee4fdacb6..d4f886d04013 100644
--- a/dev-python/django-guardian/Manifest
+++ b/dev-python/django-guardian/Manifest
@@ -1,2 +1,2 @@
-DIST django-guardian-3.2.0.gh.tar.gz 286570 BLAKE2B d8dca36942b9714263c7bb925df4ba58bbc55ad6556dad94d856d1f09aac56bfe061fa95047d23ecc2963e482c446c2ae42685c64f4f71f2ec988c9c45fdc933 SHA512 3eb7a7c7a4d1bd24887078c74374d7fabb28953b8f17beb0a53676fe79ecad265bd90f3777c4031b5103c952f6c7b153220dcb39771f671eb07f4a683508462d
DIST django-guardian-3.3.0.gh.tar.gz 300960 BLAKE2B cdfcc6504a8b9cd63969b51ed621714d8f70f7c82ca0f42dff0f94b473ca4fd39002376e9fb90a9d8b27a36c5cdfd43245b84f9f8f69faaea73518719a7147f8 SHA512 025f30515ff1b1ae2d988edd7a9dbed3e567ed6dc798bdb228694bfa813d955a30df9f84856074eee6d041c25ae7db9a43c1c7d8b694f35ce61f21adcbc7c968
+DIST django-guardian-3.3.1.gh.tar.gz 308279 BLAKE2B 5fd24dd5188a043e0fd2922af90d4cd3f0fcc435b4c1ab3194473a565a8de836329dc97c4fac801a497bc400090a228e806684ce8ec4f44a49948b1c88343d12 SHA512 d50bb219af262ea4a8b9421407b0ea8fe1c4267e93c6e20eb272dde60950e11518aef6890fecc58c2ffffd92ec37baabcc42e673882fdb3388d389464c13166d
diff --git a/dev-python/django-guardian/django-guardian-3.2.0.ebuild b/dev-python/django-guardian/django-guardian-3.3.1.ebuild
index 2fb264d2fe06..64433b337f79 100644
--- a/dev-python/django-guardian/django-guardian-3.2.0.ebuild
+++ b/dev-python/django-guardian/django-guardian-3.3.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2023-2025 Liguros Authors
+# Copyright 2023-2026 Liguros Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/dev-python/faker/Manifest b/dev-python/faker/Manifest
index 94a6498dc4bb..9df1b451c850 100644
--- a/dev-python/faker/Manifest
+++ b/dev-python/faker/Manifest
@@ -1,6 +1,7 @@
DIST faker-40.1.2.tar.gz 1949802 BLAKE2B 43a2a41d28d0b7c74fc9b9be487637e40174cdb0dda58636518e51655fe73a8d16a3dff9d5dbe5a38a3b33307727b3fb0028d91063975a79ad81e58da644897e SHA512 940719f9e9370797a60aa1c710190d4fdce2532d15bde9bed9bdb69754750201b06c8c4fe46b2374c2557cba46c310607b3948bb23e3fd6d91db7bc98e431494
DIST faker-40.11.0.tar.gz 1957570 BLAKE2B fd4249667567dc81a66b75e8a9f5a707dfb394c9674808e049c87c8c9a8e702c8b8483a0807ac7d10c0b92e68fcb17eb9438c90a95536b139fb6dc7d28ef7e6f SHA512 e22a5a1a92aaec20cb0a29bfb6c7e38b308da1dc0245c8493c77cb55a411eb816d3b5943b6d0fa375f98f3043409551b8c448053b45a8025deaceea0f88d04f8
DIST faker-40.11.1.tar.gz 1957415 BLAKE2B ab833fa71e8b91daca52d30f4c98e4c4eaa0e22ed1e05977e30d3f1cf8eb4f9f7931bee1d7f5e59bed123f38b4f53f8d8c047725eb192649e0dc90e41a929775 SHA512 72510523ebbf69aac637ca4554994c9df8a985050f2068d85e7dd826502f3b4da1f262df2b701fc0ec18ac77b8e3b233c0dcedbd2a804afa38b14c538d99dd00
+DIST faker-40.12.0.tar.gz 1962003 BLAKE2B 439f4ca14d0abbb5923cfc1669c2e62449015d732c84213831688fbb6d4cf0adae6c566255925b9d61ab0fb4baa9af9f1823d1b664d00a4a67978b10a408e265 SHA512 2b0ac55aa08c149a2c8aa179e4db12070035014cbf11915e0e74e49516a0c7db6ac2e7dd5dcdd236c8f4958217054ab804e847bb27e965a09ce7db15d32bdf31
DIST faker-40.4.0.tar.gz 1952221 BLAKE2B 5c339f7ad3ffd07533ed73c58648626adbce8570f8bdf6365b79908834f8935749adc94236a0ccfa475f383368d5647a42e03ad9bb350328f45968a21cbde9a7 SHA512 f32a8e7aeaa9330b5bebfdfea3fa868b4938f41e79bb134d8bcf4ec120ea221431ec8b259f1b63d095d2547a98a777c6d2fec14773cf8f55518831c6c7a44dac
DIST faker-40.5.1.tar.gz 1952684 BLAKE2B f94fdd2d19a7bceb5378fc34df0b2d3e83b27ce0af262855697f7ed2c52f94de5a3354be1ee3e2df0b4ca3357b9e9d067dd61aae74bd3ec6ca96b3becf9ce62c SHA512 e9380240da7bca9720f9a4abf6d9938404176a4543405d17cec2eb3f48f76d30ed7732946154675b0727ca6a921366bc9efa9a56e18d116c4e10abaac753a249
DIST faker-40.7.0.tar.gz 1956310 BLAKE2B b19cd1f4532a9a07e0fd7dfd19943d985e596b21ffe33cc83072b6a3cfa8447842f8d9a39b8b45ff73290a36e2460539083da1d26860f1b22190180d44168996 SHA512 5e545163239789adbc3cde2538cd2579a1ead306a266d01f260094a3a2fb8c2321edf58b183e50d5651a60135f7e7de600558e6c37b646da249d75fc7bd22529
diff --git a/dev-python/faker/faker-40.12.0.ebuild b/dev-python/faker/faker-40.12.0.ebuild
new file mode 100644
index 000000000000..22e0ad6d9c1f
--- /dev/null
+++ b/dev-python/faker/faker-40.12.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=${PN^}
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+# note: tests are flaky with xdist
+EPYTEST_PLUGIN_LOAD_VIA_ENV=1
+EPYTEST_PLUGINS=( "${PN}" )
+distutils_enable_tests pytest
+
+python_test() {
+ epytest
+ epytest --exclusive-faker-session tests/pytest/session_overrides
+}
diff --git a/dev-python/google-api-core/Manifest b/dev-python/google-api-core/Manifest
index 0357768e698c..12fd961298f4 100644
--- a/dev-python/google-api-core/Manifest
+++ b/dev-python/google-api-core/Manifest
@@ -1,3 +1,4 @@
DIST google_api_core-2.30.0.tar.gz 176959 BLAKE2B 2efe155280c9f1ceed4c89be1f458fca2787c18532596e21cf8262f091a28cf2551fc67e8c7c2cc1bc918163f0a4793553b0496edd345d3fab5c381094d1b1f0 SHA512 8501e3ded2bb8de8549601da138c2c635f0b8f54ca19251d2a66eac75944aa2efa5bcb9427dcf0845ef7c612c8129f6c113fbf42fbbdc787b0e76d57562b6ca8
DIST google_api_core-2.30.0.tar.gz.provenance 5818 BLAKE2B 9fa55ad67d35ed1765553f585dbb4b237bfdb1f05564c5199610cdaff1659a93e90439e9f4e4436bd7aec5468c8bec38b9028b2f299dd43ee1323d48cf0ae5f1 SHA512 1ca3bb2c23acbbadaba8bcbb64169d6430dd7c491f34294a430b86e9a7c462d7c8459c4a3485155ad4f24cbbc1d081d511866b72678514d719674aab6e55d2ae
+DIST google_api_core-2.30.1.tar.gz 176742 BLAKE2B 2e5f67f9d37544eb8d5f0991babc57b58246dbfbf31037503c8523d5e9c4dec9e081b353b8ab0a8d54dda3be30a2c23ffa2b0ecdc686b7f5a52e94fda3fbc16c SHA512 82feb714d1182705dd08c5b3f7606d8341fe765825b034eeb90c789f717157f208b241f27feda143daa240d86dbfe22e24dcbbb1812b9e6bb3c7ef5690b8ec86
DIST python-api-core-2.28.1.gh.tar.gz 222422 BLAKE2B d4a82bd12c61232efe92fd4d28d01262f67baf38c55f71ba23ae51d30fd108ea75af69c65ed117ff4662add7eec279ea08a8d77f87f6cd814092535a0e44522c SHA512 4bde79d79e05d918ec477de1dc944f0ff54ac46b25c124a9b9198e21b03d836447d88dd209f0be0b96c5323396496468e5865aa33f932fcf712818fe21040f55
diff --git a/dev-python/google-api-core/google-api-core-2.30.1.ebuild b/dev-python/google-api-core/google-api-core-2.30.1.ebuild
new file mode 100644
index 000000000000..89718209b8cd
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-2.30.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2020-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="
+ https://github.com/googleapis/google-cloud-python/
+ https://pypi.org/project/google-api-core/
+ https://googleapis.dev/python/google-api-core/latest/index.html
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="grpc"
+
+RDEPEND="
+ >=dev-python/googleapis-common-protos-1.63.2[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.25.0[${PYTHON_USEDEP}]
+ >=dev-python/proto-plus-1.25.0[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-4.25.8[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.20.0[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+ grpc? (
+ >=dev-python/grpcio-1.75.1[${PYTHON_USEDEP}]
+ >=dev-python/grpcio-status-1.75.1[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ test? (
+ >=dev-python/grpcio-1.75.1[${PYTHON_USEDEP}]
+ >=dev-python/grpcio-status-1.75.1[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{asyncio,mock} )
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # The grpc_gcp module is missing to perform a stress test
+ tests/unit/test_grpc_helpers.py
+)
+
+python_test() {
+ rm -rf google || die
+ epytest tests
+}
diff --git a/dev-python/google-auth-httplib2/Manifest b/dev-python/google-auth-httplib2/Manifest
index 58d0d6421507..6d7d360978c2 100644
--- a/dev-python/google-auth-httplib2/Manifest
+++ b/dev-python/google-auth-httplib2/Manifest
@@ -1,2 +1,2 @@
-DIST google-auth-library-python-httplib2-0.2.1.gh.tar.gz 35718 BLAKE2B e7cd90570a35f34e950cb9b9fd02f96faccd7289d5a55c19cab742582e659fc2381e2d2e700d78a629eabaf13bd7179ff29b1c531a73823ac98acb5f8aa3e3e0 SHA512 3fce40dfb234418161b0c6c48c6fbd4295ae1f845761fe1353197111d4feb3815bbcdb17af8202ae9446a8c707072414784cfa64d41e003ffe4882238ab81a99
DIST google-auth-library-python-httplib2-0.3.0.gh.tar.gz 35262 BLAKE2B 42a3780bb8ba0f701becd828b7b4f7402f12bd7638a9551fc36f1084ab35276eaf6566d1e517df53238ee2bdc15c79331af5ecf0cde28466882d801be911ef05 SHA512 1b825eac08967e573ac5409c387aecac3f666b6fbd5073fa46aac3bc0b606718e6141e7acbf5039dcce35dbe0d81921984e0af8007880e6310fdf3b8d0c66319
+DIST google_auth_httplib2-0.3.1.tar.gz 11152 BLAKE2B fdf8ae1af14f8322cd53418bcc7b200d817ec5f4c12b45cfc429c6544c2e90d5ab2376858536d7e19f9976a9edd3d353f3e9f5fa1ddd975a9e8eb5e5ac862b06 SHA512 9c5df884fdb7ca6b33a86b55a3ceedf5ff32dac676cb419d592d21dcef887c09580a748895e7bc34ede610e4a2ebcba101b4f2e8ff17512bca81a95cdc620408
diff --git a/dev-python/google-auth-httplib2/google-auth-httplib2-0.2.1.ebuild b/dev-python/google-auth-httplib2/google-auth-httplib2-0.3.1.ebuild
index 8262955366db..9538f9e88b76 100644
--- a/dev-python/google-auth-httplib2/google-auth-httplib2-0.2.1.ebuild
+++ b/dev-python/google-auth-httplib2/google-auth-httplib2-0.3.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -6,23 +6,17 @@ EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..14} )
-inherit distutils-r1
+inherit distutils-r1 pypi
-MY_P="google-auth-library-python-httplib2-${PV}"
DESCRIPTION="httplib2 Transport for Google Auth"
HOMEPAGE="
https://pypi.org/project/google-auth-httplib2/
https://github.com/googleapis/google-auth-library-python-httplib2/
"
-SRC_URI="
- https://github.com/googleapis/google-auth-library-python-httplib2/archive/v${PV}.tar.gz
- -> ${MY_P}.gh.tar.gz
-"
-S=${WORKDIR}/${MY_P}
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 arm64 x86"
+KEYWORDS="~amd64 ~arm64 ~x86"
RDEPEND="
<dev-python/httplib2-1[${PYTHON_USEDEP}]
diff --git a/dev-python/google-auth-oauthlib/Manifest b/dev-python/google-auth-oauthlib/Manifest
index 2434f5ba4e98..97c0f67abe06 100644
--- a/dev-python/google-auth-oauthlib/Manifest
+++ b/dev-python/google-auth-oauthlib/Manifest
@@ -1,3 +1,3 @@
-DIST google_auth_oauthlib-1.2.4.tar.gz 21185 BLAKE2B c84119a17820665ccf3eb1307cb40747bf4931571af079562bd55044ec836265338f25ee4f4339aed4cff9ebf458b9fe2cfd923d9b671f7cb339e4d0f2a3399b SHA512 ffd35449faddeb32b8a22e4bbc4ef26412227ec161d2c2746436bd505b34695f0800cb9214f098b200d4ae0d572d8e002d110bd72f0f6adc444a6b286fc277c7
DIST google_auth_oauthlib-1.3.0.tar.gz 21777 BLAKE2B 6f2a0267a1f013445b008b6400fcbbfd7fc314b32a2c992a7057e0f59c58a1457f4bb6f5ff6bb5bf5e762e02c9a739d9fc8e34b9503fa619cc93904bc2c8f56e SHA512 8071a136d7ccb6c7ab7208e3ec684a4c36c61cfdf11a9463a58374f3d3e57f420a80f69601231a2c9fe2f7b3f5c27c3d4601a85f9877e472356c556047453e98
DIST google_auth_oauthlib-1.3.0.tar.gz.provenance 5760 BLAKE2B 4244bbc32f17cbcdff4a863920a5921ee0c48e594f3dda9217f337ceb9be92825b026d8d1f16a454e0581ce16f3f3b9bd35f0d0bf577758ca10c7c7e2c575ef6 SHA512 b72f2509c3e097dfdf5881eb91647278512591150fc02fe0a57b3b60698820bbdf8597fbd65075606ff1c2a135ea877cc10f7d6cf0388901cdcbed5d2647847c
+DIST google_auth_oauthlib-1.3.1.tar.gz 21663 BLAKE2B 3f13da63b5e11a07f7149cb16b8bdb6bdaca3c2b5099d0f90b7fd027b80142b1c2ced39b3ff67b9789a36300b20bcd6bdc917a6450e4b192f273725e5c4c9ccf SHA512 1da9dcd3de906dddf8f230ca20891a62deee42e7299e41ac93354e75dcc4fc06e1daaf6b8133055445b906d19ce8fffce7341e89290eac5fae20007898e06f3b
diff --git a/dev-python/google-auth-oauthlib/google-auth-oauthlib-1.2.4.ebuild b/dev-python/google-auth-oauthlib/google-auth-oauthlib-1.3.1.ebuild
index a3b55160902c..81d78e4c9e8e 100644
--- a/dev-python/google-auth-oauthlib/google-auth-oauthlib-1.2.4.ebuild
+++ b/dev-python/google-auth-oauthlib/google-auth-oauthlib-1.3.1.ebuild
@@ -8,7 +8,6 @@ PYTHON_COMPAT=( python3_{10..14} )
inherit distutils-r1 pypi
-MY_P=google-auth-library-python-oauthlib-${PV}
DESCRIPTION="Google Authentication Library"
HOMEPAGE="
https://github.com/googleapis/google-auth-library-python-oauthlib/
diff --git a/dev-python/grpcio-status/Manifest b/dev-python/grpcio-status/Manifest
index df3c48a4ac68..af300a03762b 100644
--- a/dev-python/grpcio-status/Manifest
+++ b/dev-python/grpcio-status/Manifest
@@ -1,3 +1,4 @@
DIST grpc-1.76.0.gh.tar.gz 15387277 BLAKE2B 529effe73d8a8f0a07b18127c05f3d9752294ffbba9b44470974905ce6a458bd2d7cbb70be59c1c22d32b56151a3f2c891b815b5eb0d8a381bf7744ceb513d0a SHA512 6338448d7c0fc78c38480f1fafd7605d031b600a702df3771a9d1b1236da7bf97a93dbdbc2d93d12d395411dc2f2ac57587ad1b697c4b2a5ac56fb8af1184501
DIST grpc-1.78.0.gh.tar.gz 15477838 BLAKE2B 10900e436c7ad4dc79cb05e9dc18b560333c583225930c7f10f9f4c3421fb6ea4a7a98d971ae2cd8ba04ed53086faf85e2f4f489b38751b8ae5537240a5548b7 SHA512 6ec7a8acab5418e6ce85a03f749113a6e2546b39de5618217a78f9ed36e57a6b02be76a481c3ae3692405ee722a3884dd10df1a07fe83417f4247ce749a7b800
DIST grpc-1.78.1.gh.tar.gz 15481241 BLAKE2B b0ee12443674c238b7e9bcd15099dc2157931939069381217dea3f97ed56941421c7ad7861193e507e33227df59dc9773f45805604e4d6c92860a14799be7a76 SHA512 273098845d16aba71da0e0a35acfbf90b7dccb876e691d65712977998b58795208296431913c7b922390d76aff4ed8f05a5fae6d014e4394a6b8482e2d8ebcf8
+DIST grpc-1.80.0.gh.tar.gz 15772645 BLAKE2B 48f3acc5c3268f651dc865ce3095c306ad3fa0a4eacf6e6eea499d961c0e001e2ab43fe8f0d53713d19998f28ce0184045ad2a8ef4cdc41aee31e2fe70e2b53e SHA512 5ef6ec2277dcb2257f8ac7546057e9a3da6668676a3a4ff64e08e66abb465b5705103c4aa0b41955535ee437d4feef5b811aa3e31636c4cb76bf68c52caaccf7
diff --git a/dev-python/grpcio-status/grpcio-status-1.80.0.ebuild b/dev-python/grpcio-status/grpcio-status-1.80.0.ebuild
new file mode 100644
index 000000000000..4c489057243f
--- /dev/null
+++ b/dev-python/grpcio-status/grpcio-status-1.80.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2024-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1
+
+MY_P=grpc-${PV}
+DESCRIPTION="Reference package for GRPC Python status proto mapping"
+HOMEPAGE="
+ https://grpc.io/
+ https://github.com/grpc/grpc/
+ https://pypi.org/project/grpcio-status/
+"
+SRC_URI="
+ https://github.com/grpc/grpc/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/src/python/grpcio_status
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/grpcio-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/googleapis-common-protos-1.5.5[${PYTHON_USEDEP}]
+ <dev-python/protobuf-7[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-6.31.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/coverage[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+ cd "${WORKDIR}/${MY_P}/src/python/grpcio_tests" || die
+ epytest tests{,_aio}/status
+}
diff --git a/dev-python/grpcio/Manifest b/dev-python/grpcio/Manifest
index 740494028d71..7ff9b8d7527b 100644
--- a/dev-python/grpcio/Manifest
+++ b/dev-python/grpcio/Manifest
@@ -1,5 +1,5 @@
DIST grpcio-1.74.0.tar.gz 12756048 BLAKE2B 943f9b438985193e13d72cd3e270f8b0bb311e548a226803e62619fb30ce50fa9f14bdcccec8aa6cf57704bdc7ef8706509d987c3ed9806a4e26f5360492124b SHA512 2f8bf61bf28b0b53422041f43fb226a7e4af0cd3c1942b58b84284a5d542e3224c3f54b40dc5346424dd0c260e1416b857732d8ee02fbca28384a15702f07ae0
DIST grpcio-1.75.1.tar.gz 12731327 BLAKE2B 1cca575fefd42584fa1ce1d20ae875b2f894a1cc4f3c7eefbd64e51014bd8709f70d8ac8750cd06d9572a7867fb0ac514af098bb7b88c574f006957df4d7c082 SHA512 025554fc885859e0e484ec0c205ba19abe21d4fc7b6632eac7d4aa1fb7513b57235e38444a01b417c2f70549c79696b08fb4f2a673689cbca2810b21363d3fa5
DIST grpcio-1.76.0.tar.gz 12785182 BLAKE2B dbd3bf849ac2a721a114087e484d8f759bc4799e2e8a4ea58236a6bcf926ccf1ee183bc61f616f7acbbff59418b9e39de921e50aa6b890e6a642f2969f9513cf SHA512 f6cd5bb70d839c7f0a17da9635c3363d1073f590fb53518a2c603a1a93f03742e135f86105494852ae343c699a9de8a3286fd150ef9074d8a51727c61c5a55c5
-DIST grpcio-1.78.0.tar.gz 12852416 BLAKE2B bfa0f02333ebb856c3218cce4b0648b8bbc43a6288d54bee56c192092cc109d74f552915f35716ec9bf8c4fcdea87ecf62251c69af129974a28c8e170697418a SHA512 2d6b7a5969db17c250c460085bfb6307818ad1c4e0876b3de957a75124ca8466e613446e1590121c983cca6975d97057a2978eebe1c0780cedca74c572593960
DIST grpcio-1.78.1.tar.gz 12835760 BLAKE2B 45c2c811d5970731e88539ab60d8f99f4477a6cd6f9e64a85dee618a56709c8bd8c7476849dff9bf4d5af75e5dd845bd9a7e1259cb345394a9e8add7ededc6db SHA512 5e123927cf9dd6cbee6c623f88007c6b89e3c0cd67ad911f9fc594546597a3a98542f04ee54b431660eaf6be5248fef67af256400209af1df61e01b1b2222829
+DIST grpcio-1.80.0.tar.gz 12978905 BLAKE2B 2583bbdfcb05aaced115b4a4ab7d26b95efbe35bf7c2bd7989d9791d50553e05ba3e6323ce8b52c78459b34b5daeb1566ffd1e2b17c14208a13e4a06f0a2a6d5 SHA512 04ef676d6847f3d2820998c07d9f80585c105dc43e3f754b517566e86a92af94328ecdecba0b772e0abe2a53eb49102a12db93099b50d5bee576ac69cb928db5
diff --git a/dev-python/grpcio/grpcio-1.78.0.ebuild b/dev-python/grpcio/grpcio-1.80.0.ebuild
index ca6a7b797851..ca6a7b797851 100644
--- a/dev-python/grpcio/grpcio-1.78.0.ebuild
+++ b/dev-python/grpcio/grpcio-1.80.0.ebuild
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..d12ab8aeaca8 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9cd8a2a93a8d45bf51fe2324402b175d641762ea591fcb99459427f977a95eccffa6ca4777ca4df39814eea6eac62711567faa654456d32f79023a4685804504 SHA512 d973b85ba1a44389a4275f02a779a93a005f7c2e096467b94b072862e4984d5b42cf33f9821ac68aa5b85b12c98983a90b96049989d8c84497969174b6bb838e
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
deleted file mode 100644
index 637368d2f237..000000000000
--- a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
-
---- a/setup.py
-+++ b/setup.py
-@@ -18,7 +18,7 @@ setup(
- author_email='michal.danilak@gmail.com',
- url='https://github.com/Mimino666/langdetect',
- keywords='language detection library',
-- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
-+ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
- include_package_data=True,
- install_requires=['six'],
- license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index 7100f5f39dd8..271137de443d 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2025 Gentoo Authors
+# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,6 +19,4 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
-
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index c0f74ac187e2..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,9 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>pastalian46@gmail.com</email>
- <name>Takuya Wakazono</name>
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
</maintainer>
-
- <origin>gentoo-guru-overlay</origin>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/pyproject-fmt/Manifest b/dev-python/pyproject-fmt/Manifest
index 2c2770596eaf..d4bf5c757975 100644
--- a/dev-python/pyproject-fmt/Manifest
+++ b/dev-python/pyproject-fmt/Manifest
@@ -63,6 +63,8 @@ DIST pyproject_fmt-2.19.0.tar.gz 144512 BLAKE2B 730772f83fa1bea1b52ffa43cd0e32ca
DIST pyproject_fmt-2.19.0.tar.gz.provenance 9567 BLAKE2B c9fb6f1a54fe73283ce2f5534c0eb0edee628f8d218653ca9e2b3bd6cd94c1b9a778b416a215644a94fe51dbf1d8a07bcf6adf1e21a775103461c5d89abe3a3c SHA512 111546995bfc8c963ff61096a2944b1880c5b27a434bc0c4eb7fce5b12516e42faa29f2d04ddcb8e9b13aaf573854bcbdb33ff673ec36a109a1b7d7507744b3d
DIST pyproject_fmt-2.20.0.tar.gz 144673 BLAKE2B d2d126c87816b082210b4abc7eaca7482759d02bb07c7b0f31c37a5dc1481b9cf0b04980e4ef4711a94c05060aec8573ab968f5d014218f3b73d61913686731f SHA512 b8b6fe6e2336b203d1f1f7cd76e1ac54d49c4c7bc798160a84d722fde84c2acbfed9472e4e668e729d71a0b5c4342365c2d28d6d693aac1a164caea4f5b7a412
DIST pyproject_fmt-2.20.0.tar.gz.provenance 9797 BLAKE2B 4fe967a8bde8903c260788139105dcba0e0ece5628f1d3037ddf5eadf0ffa5a01f085c4731137f715483a858a38989af2dba201525e9e14c3565cb1471cd9185 SHA512 afa428ea723162b5a5202573d35f99be76c233189a908a9f34ac4ffce2376f7eb27e44ff9bb0d30160f228d59e1e8abbf0a814cc5e6992001a3d83873e7e5d83
+DIST pyproject_fmt-2.21.0.tar.gz 151809 BLAKE2B 4b73e743bc1e325fbecda854b7042ae833948991336a049c5e46807924008c1b355bb20196284cd766b023fc31fd9c65fb70c04f8c9b92d76255471b61ee6504 SHA512 b111c461c2135acb00e41a495f63027caf357bd95a617b51c9a20e275639172032d1868f9e8b9d0d593631e14a52244e6743cf2d1bb4cd5977530e3de006b9b6
+DIST pyproject_fmt-2.21.0.tar.gz.provenance 9570 BLAKE2B fd02d8a86cd2b0191531ff63ca95177473dee9b17ad37f56ba271afca1d50a69b9c150ca29e7e3aa34a7876e0eb9c0727e4bb37468899e2627433daf10be0aa3 SHA512 84ea82bb2109dd4b323e29b35eb2f7b52ef80036ea932621d30ec17379c6a88696466b0302c95fdd37c5d4b62e9254d51377ec4f4b214ea07fbcd981775bd689
DIST quote-1.0.40.crate 31063 BLAKE2B 09036ff3e5ebbd775c466bb936de91d4c070481eb4b98c62a4cddcda57cd7b67d63f979b321f6ec64aabee3f5da6c28e7a3efb83f4647768ba578f1bd0bd0bdb SHA512 45a76e22a2b0bec47e4ba73c3b73cc41d821dfcce9876134c5d8eed514da214aee4ce7612e372c8709f888c0d8b9b7e5442f27adb7a59f3571f0339ed7e2ac99
DIST r-efi-5.2.0.crate 64764 BLAKE2B ee17fae983b2c39137cb75698062a3bf8edb4bc680b04900797730618b54298e2f1d13ceab6b660f7a1799f6fc4113ca15d4320b1b95fc42913e0930f3aa16f8 SHA512 80f89d467b482297ec2c13cb0dc8e310442495483e25c33bb523f1cb66d6ce01fee4a57b36880a4f51c0e9f20eb3f993a5bc0a13224d52693dbc81b97c630158
DIST regex-1.11.1.crate 254170 BLAKE2B 5cf41012fc2ba8a006c0eb4a922cbbf1614bf300be361c9e2d98956a9a5e9b140e37bea09132fab7bfb633d4439158723624bcf45e8c619c4061b399253c1b82 SHA512 d065f6dc405771518260425f39a5eaaf8cab62e78c91ceed3b3994a9a121674d2484cadaaf816bdad89c87a40550d57b66a3d9de6618a7119a658301ce7e67d8
@@ -106,6 +108,7 @@ DIST toml-fmt-pyproject-fmt-2.16.2-crates.tar.xz 18771972 BLAKE2B e71da5e3586cb0
DIST toml-fmt-pyproject-fmt-2.18.1-crates.tar.xz 18776984 BLAKE2B c56f94f4bd9e12141ad878cca8d29a6069c3cacb82b9321817fefd5add5eaa0ff0c850a2fd3961dd7022db5d7494b2efcd07ec55b0c3541c14662ae7a67a24eb SHA512 63abd3e6a3266cf584a18e35348f90168d5d07a6fcbec6de0daa2ff219d0728c72f41b13c0e09b34462629598ed4462bf101c936712ad1f486eb37df23095ff7
DIST toml-fmt-pyproject-fmt-2.19.0-crates.tar.xz 18775804 BLAKE2B 2b977dce1adc8a43f0a6932dbb821a17a0885f570fbbb0cec6e5bf3ea8177baa6c9c6725a20e3326eeab337f7c521817f41b42225b18029baaa8d9eb2f31706c SHA512 495f714fcded00a9ad8da1deed04ed871c1ddca977c9ba0d28fc2a69a4ed693e0f2d2c0fb976417f98e2a52420d59543fbf7a0cc50599588b725f9f56c6285ef
DIST toml-fmt-pyproject-fmt-2.20.0-crates.tar.xz 18775804 BLAKE2B 2b977dce1adc8a43f0a6932dbb821a17a0885f570fbbb0cec6e5bf3ea8177baa6c9c6725a20e3326eeab337f7c521817f41b42225b18029baaa8d9eb2f31706c SHA512 495f714fcded00a9ad8da1deed04ed871c1ddca977c9ba0d28fc2a69a4ed693e0f2d2c0fb976417f98e2a52420d59543fbf7a0cc50599588b725f9f56c6285ef
+DIST toml-fmt-pyproject-fmt-2.21.0-crates.tar.xz 18777332 BLAKE2B aa707ea2dbb90b121eb57241eec5feb1f60950c8f485cd358798b2ece359bb92449600a354fd25699d17ee6bf96ff90047a882b91f8a52da522aca262ec85b2a SHA512 7857d37f999bf1abc6848455dacbc4c7d06fd1f8382c20e570ce78bbc7799acae92e3e7b9b316f5d456bf69daea997a41d4d08f223d59ae26ba2c2f700037fa9
DIST toml_datetime-0.6.9.crate 12622 BLAKE2B 0362fbee2359fb7388bd679ccf114e554234294437dd3aa26b0e969aadd0e0fb76ad89eb33e0c4a2b50883764f64708fad2e265562feba13688fdd07623e18af SHA512 8409a902d7f6c22a8837cb71fd0e4fbb40b34c1608c3e858f4f5268c34948b94e9f9dae9e6f3ba73c78e3db14754fcec0b22081160acb228ae366aeafaaead9c
DIST toml_edit-0.22.26.crate 121714 BLAKE2B c1e39ec75d3d34e038d7a7e3af4d74b1a53010ed2d837a3643f08e459231ec7f15c149910dbc5294187601e342b0ba03fa8129dbc879b326841a32513ed7fdd2 SHA512 8cad3472f790e3423dadb34da76f77fd122721daa1c855a749699ac0af8e39c2453ed47369b14e8603204acb896a966ea98857118003a5d75cc48ca5e28ecff7
DIST tracing-0.1.41.crate 82448 BLAKE2B c056d938e001654e03efaec7a11eb8ecfbdfe9af2099271fcefa43f4f4683b40c59f7111fdf7f27df4da38bcbe94f1b2ac0abb6ec3d6e6a0d165b9fbb14da3a3 SHA512 dffb8d3a1375f1b9d5418550a46cb7b1d92b2cc8ffbccb430a38f7731547960775bb42798074186711847d256eee30fb3e74078b69cb36f28c07d9f231dbf96c
diff --git a/dev-python/pyproject-fmt/pyproject-fmt-2.21.0.ebuild b/dev-python/pyproject-fmt/pyproject-fmt-2.21.0.ebuild
new file mode 100644
index 000000000000..21a7e77f469a
--- /dev/null
+++ b/dev-python/pyproject-fmt/pyproject-fmt-2.21.0.ebuild
@@ -0,0 +1,102 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYPI_VERIFY_REPO=https://github.com/tox-dev/toml-fmt
+PYTHON_COMPAT=( python3_{10..14} )
+
+RUST_MIN_VER="1.87.0"
+CRATES="
+"
+
+declare -A GIT_CRATES=(
+ [tombi-accessor]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-accessor'
+ [tombi-ast-editor]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-ast-editor'
+ [tombi-ast]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-ast'
+ [tombi-cache]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-cache'
+ [tombi-comment-directive-serde]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-comment-directive-serde'
+ [tombi-comment-directive-store]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-comment-directive-store'
+ [tombi-comment-directive]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-comment-directive'
+ [tombi-config]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-config'
+ [tombi-date-time]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-date-time'
+ [tombi-diagnostic]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-diagnostic'
+ [tombi-document-tree]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-document-tree'
+ [tombi-document]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-document'
+ [tombi-formatter]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-formatter'
+ [tombi-future]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-future'
+ [tombi-hashmap]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-hashmap'
+ [tombi-json-lexer]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-json-lexer'
+ [tombi-json-syntax]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-json-syntax'
+ [tombi-json-value]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-json-value'
+ [tombi-json]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-json'
+ [tombi-lexer]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-lexer'
+ [tombi-parser]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-parser'
+ [tombi-regex]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-regex'
+ [tombi-rg-tree]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-rg-tree'
+ [tombi-schema-store]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-schema-store'
+ [tombi-severity-level]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-severity-level'
+ [tombi-syntax]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-syntax'
+ [tombi-text]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-text'
+ [tombi-toml-text]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-toml-text'
+ [tombi-toml-version]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-toml-version'
+ [tombi-uri]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-uri'
+ [tombi-validator]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-validator'
+ [tombi-version-sort]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-version-sort'
+ [tombi-x-keyword]='https://github.com/tombi-toml/tombi;afbc4d39033e872c0739d43b66cb4b5c278ba11c;tombi-%commit%/crates/tombi-x-keyword'
+)
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Format your pyproject.toml file"
+HOMEPAGE="
+ https://github.com/tox-dev/toml-fmt/
+ https://pypi.org/project/pyproject-fmt/
+"
+SRC_URI+="
+ ${CARGO_CRATE_URIS}
+ https://github.com/gentoo-crate-dist/toml-fmt/releases/download/pyproject-fmt%2F${PV}/toml-fmt-${P}-crates.tar.xz
+"
+
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD ISC MIT MPL-2.0
+ Unicode-3.0 ZLIB
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/toml-fmt-common[${PYTHON_USEDEP}]
+"
+# tox is called as a subprocess, to get targets from tox.ini
+BDEPEND="
+ test? (
+ dev-python/tox
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-mock )
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib/py.*/site-packages/pyproject_fmt/_lib.*.so"
+
+src_unpack() {
+ pypi_src_unpack
+ cargo_src_unpack
+}
+
+src_prepare() {
+ distutils-r1_src_prepare
+ sed -i -e '/strip/d' pyproject.toml || die
+}
+
+python_test_all() {
+ # default features cause linking errors because they make pyo3
+ # wrongly assume it's compiling a Python extension
+ # https://github.com/tox-dev/toml-fmt/issues/23
+ cargo_src_test --no-default-features
+}
diff --git a/dev-python/requests/Manifest b/dev-python/requests/Manifest
index 2bd0b79e20f6..541a68857fda 100644
--- a/dev-python/requests/Manifest
+++ b/dev-python/requests/Manifest
@@ -1,3 +1,5 @@
DIST requests-2.32.5.tar.gz 134517 BLAKE2B 82bb875be132b815fd8eb51c896f41bdd3f16ef335f7a273d2b27d139f1a587d0cdcfae5975ce366426687b42796af1d65317d24e8e6cd069864bc259da9942f SHA512 2fbc05f5b638cefe59b9edaac86d53666d0416cebdbe8343caa818cae677a733c1f3a9ae62ef5c880b77cf706a2e3da57e0783d8936bda128f071367524189de
DIST requests-2.33.0.tar.gz 134232 BLAKE2B 7aac9ecb9b7266c04c6b114c6b4599333a8b7e37e6aee1b152226c4e5d1b61b681b75660707ec2362c9408837f92e9d28a7b9301a3732be0ed9993284b29824f SHA512 7e45bc18ec111da5831c45682297ada47a33ef804ce9d97d15e7f2b3cfb0a5784285239debb00fd346179f527fdd04a815373aefb87158930eedca39de182cfb
DIST requests-2.33.0.tar.gz.provenance 9158 BLAKE2B 550febe2d06294b5ebaff6f037775c8b94697524ae9d9a5de72bc442bcfa992a517d100cf05388c3786c27530f50eafe154072aeb745b737c39846d84f830b3e SHA512 54d7067a5da04cc36a0ae3163b4d3b1b1bc8e50d46ea4b0d9a2dc91a8edb8112f6a6a508526d7e32d8629bfb643793e621d6f69e0c29e422554f860d321349d7
+DIST requests-2.33.1.tar.gz 134120 BLAKE2B 290c77a0f0d90d04638be623f9a32955902869f89fd6eb8c2e2c3b15cdeb28455ec331c84bdba16d6aa69cb02d8567514a245280a0adf64f653f29aacb944f44 SHA512 058dc417085f8be99c2ea79fffecce833068d9342c925a8d8bd1b10c171e52fda5d4bdd8ae1a93b05b111e275c29b705ec79ac0c365fb10f6f81c49e6d839483
+DIST requests-2.33.1.tar.gz.provenance 9256 BLAKE2B 5257b1e8dac44c85b121e04d9591b73d8e2a95ba8ad7d5a45e954d0d676a44b877da0f800bcf934e843ceaf19522bb81eb616c646ad4ac56ee6c3b7ef74a5913 SHA512 5239edd498ff5c27a92a950b75985da8c59064f7abc04809ab71c54e7f3b8b82a268a291b0431560e5fe70266f0fe5a6151fb804c093a9f99c6a6138ba6b80fb
diff --git a/dev-python/requests/requests-2.33.1.ebuild b/dev-python/requests/requests-2.33.1.ebuild
new file mode 100644
index 000000000000..aa3650c7d6e5
--- /dev/null
+++ b/dev-python/requests/requests-2.33.1.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/psf/requests
+PYTHON_COMPAT=( python3_{10..14} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="HTTP library for human beings"
+HOMEPAGE="
+ https://requests.readthedocs.io/
+ https://github.com/psf/requests/
+ https://pypi.org/project/requests/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+IUSE="socks5 test-rust"
+
+RDEPEND="
+ >=dev-python/certifi-2017.4.17[${PYTHON_USEDEP}]
+ <dev-python/charset-normalizer-4[${PYTHON_USEDEP}]
+ <dev-python/idna-4[${PYTHON_USEDEP}]
+ <dev-python/urllib3-3[${PYTHON_USEDEP}]
+ socks5? ( >=dev-python/pysocks-1.5.6[${PYTHON_USEDEP}] )
+"
+
+BDEPEND="
+ test? (
+ dev-python/httpbin[${PYTHON_USEDEP}]
+ >=dev-python/pysocks-1.5.6[${PYTHON_USEDEP}]
+ test-rust? (
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-{httpbin,mock} )
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # remove useless dependency check spam
+ sed -i -e '/def check_compatibility/a\
+ return' src/requests/__init__.py || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Internet (doctests)
+ requests/__init__.py::requests
+ requests/api.py::requests.api.request
+ requests/models.py::requests.models.PreparedRequest
+ requests/sessions.py::requests.sessions.Session
+ # require IPv4 interface in 10.* range
+ tests/test_requests.py::TestTimeout::test_connect_timeout
+ tests/test_requests.py::TestTimeout::test_total_timeout_connect
+ )
+
+ if ! has_version "dev-python/trustme[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ tests/test_requests.py::TestRequests::test_https_warnings
+ )
+ fi
+
+ epytest
+}
diff --git a/dev-python/urwid/Manifest b/dev-python/urwid/Manifest
index 14d8ab18c5fe..c027f91b0c51 100644
--- a/dev-python/urwid/Manifest
+++ b/dev-python/urwid/Manifest
@@ -1,3 +1,5 @@
DIST urwid-3.0.4.tar.gz 855817 BLAKE2B abf8fa38b2ef4b62878d4473588b95277e9fd88dc8d70c9444e5a6a5ca50d9ad78065e66acb3253e55a5af6ede8feb8c2abd825176136adb01afcc023492b575 SHA512 02e7e089f8a4b90a61e2dd7988a7c1b89caf11174f27c8d8fe423f4688853e25210f6eec0d299570676cc0d106641fb6aebcdfab17c9d4bab91a69234cb8dce0
DIST urwid-3.0.5.tar.gz 860746 BLAKE2B b4056fa299e4c35dab0b94be8c2b4f3c219bfa20bb3be0b6039a38887e66611b15cd5c0ceb30de37e022327475096f981191163573cfc6ccb80e0d09de3e4ced SHA512 998916294c7e215fcaa096dc2d7d70d18503e3425473fde85365ed6a52550bb61064d0bfe576b83a15cff688836af81ba13565d87aa0aecd3941f9b4adcf1886
DIST urwid-3.0.5.tar.gz.provenance 9379 BLAKE2B adc9a61e1211e15c1067e072d5ae2e86da161720cbaa4ca55017579a909e8dbc58670f084b164618cbd3042f8551304068ca259b569970ad815cccb84cc6bbda SHA512 6b779886a7ba09fe1e40c6587b91158d84dd7fbf5016fa2477682c4d38e381c11de988e0cded40c41f78b726b389ae7839ed6bd5b7c5f33fa61862798d64a437
+DIST urwid-4.0.0.tar.gz 859221 BLAKE2B 18519d58c1837f3871535876cd3fc17734239714211cd682a5e0a00e7ff6da064d2b1c660d2d6b8674efb58f3b6e39de40f963ec9f2df8d7563e9d99b6271e16 SHA512 c0241275d3808d81cb13e941d66aa6769c20a8913f992c2de892de6210c698503df5acd81121614acb39017ba91b4abb777675f3921db88d9801c6ebc2551169
+DIST urwid-4.0.0.tar.gz.provenance 9160 BLAKE2B 8a5965cd7e09ec0ee6e84286a46dd016bf3dcbf93605edd1c88c09306012ebc8a1e67a015a91e7f63a1ad1dc8d4b07a5f6dc99ccd36e96fcacb2ec182af93fdd SHA512 8da8be2f2450ecfdd08df7a4beaa38408695c6cd3e5c11031c1b52fbc1e531e8a5546ea43361ed911596008d57a419de046dccb6b4efb69521a3353724069282
diff --git a/dev-python/urwid/urwid-4.0.0.ebuild b/dev-python/urwid/urwid-4.0.0.ebuild
new file mode 100644
index 000000000000..b584716e7dcb
--- /dev/null
+++ b/dev-python/urwid/urwid-4.0.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/urwid/urwid
+PYTHON_COMPAT=( python3_{10..14} )
+PYTHON_REQ_USE="ncurses"
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="Curses-based user interface library for Python"
+HOMEPAGE="
+ https://urwid.org/
+ https://pypi.org/project/urwid/
+ https://github.com/urwid/urwid/
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="examples"
+
+RDEPEND="
+ >=dev-python/wcwidth-0.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "Trio event loop" "dev-python/trio"
+}